import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiDuplicatesByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiDuplicatesByObjectApiName';
import { DuplicatesConfigurationRepresentation as types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation } from '../types/DuplicatesConfigurationRepresentation';
export declare const adapterName = "getDuplicateConfiguration";
export declare const getDuplicateConfiguration_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getDuplicateConfiguration_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetDuplicateConfigurationConfig {
    objectApiName: string;
    recordTypeId?: string;
}
export declare const createResourceParams: (config: GetDuplicateConfigurationConfig) => resources_getUiApiDuplicatesByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetDuplicateConfigurationConfig>): adapter$45$utils_Untrusted<GetDuplicateConfigurationConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetDuplicateConfigurationConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig): $64$luvio_engine_Snapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig, resourceParams: resources_getUiApiDuplicatesByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig, resourceParams: resources_getUiApiDuplicatesByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDuplicateConfigurationConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetDuplicateConfigurationConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation>): $64$luvio_engine_Snapshot<types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation, any>;
export declare const getDuplicateConfigurationAdapterFactory: $64$luvio_engine_AdapterFactory<GetDuplicateConfigurationConfig, types_DuplicatesConfigurationRepresentation_DuplicatesConfigurationRepresentation>;
