import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiPredupe_ResourceRequestConfig } from '../resources/postUiApiPredupe';
import { DuplicatesRepresentation as types_DuplicatesRepresentation_DuplicatesRepresentation } from '../types/DuplicatesRepresentation';
export declare const adapterName = "getDuplicates";
export declare const getDuplicates_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getDuplicates_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetDuplicatesConfig {
    allowSaveOnDuplicate?: boolean;
    apiName?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
export declare const createResourceParams: (config: GetDuplicatesConfig) => resources_postUiApiPredupe_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetDuplicatesConfig>): adapter$45$utils_Untrusted<GetDuplicatesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetDuplicatesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig): $64$luvio_engine_Snapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig, resourceParams: resources_postUiApiPredupe_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DuplicatesRepresentation_DuplicatesRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig, resourceParams: resources_postUiApiPredupe_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetDuplicatesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetDuplicatesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_DuplicatesRepresentation_DuplicatesRepresentation>): $64$luvio_engine_Snapshot<types_DuplicatesRepresentation_DuplicatesRepresentation, any>;
export declare const getDuplicatesAdapterFactory: $64$luvio_engine_AdapterFactory<GetDuplicatesConfig, types_DuplicatesRepresentation_DuplicatesRepresentation>;
