import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration, Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiListObjectInfoByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiListObjectInfoByObjectApiName';
import { KeyParams as types_ListObjectInfoRepresentation_KeyParams, ListObjectInfoRepresentation as types_ListObjectInfoRepresentation_ListObjectInfoRepresentation } from '../types/ListObjectInfoRepresentation';
export declare const adapterName = "getListObjectInfo";
export declare const getListObjectInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListObjectInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListObjectInfoConfig {
    objectApiName: string;
}
export declare const createResourceParams: (config: GetListObjectInfoConfig) => resources_getUiApiListObjectInfoByObjectApiName_ResourceRequestConfig;
export declare function coerceKeyParam(config: adapter$45$utils_UncoercedConfiguration<types_ListObjectInfoRepresentation_KeyParams, any>): types_ListObjectInfoRepresentation_KeyParams;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListObjectInfoConfig>): adapter$45$utils_Untrusted<GetListObjectInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListObjectInfoConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig): $64$luvio_engine_Snapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig, resourceParams: resources_getUiApiListObjectInfoByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig, resourceParams: resources_getUiApiListObjectInfoByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListObjectInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListObjectInfoConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation>): $64$luvio_engine_Snapshot<types_ListObjectInfoRepresentation_ListObjectInfoRepresentation, any>;
export declare const getListObjectInfoAdapterFactory: $64$luvio_engine_AdapterFactory<GetListObjectInfoConfig, types_ListObjectInfoRepresentation_ListObjectInfoRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_ListObjectInfoRepresentation_KeyParams, any>[]) => void;
