import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/getUiApiListPreferencesByListViewApiNameAndObjectApiName';
import { ListPreferencesRepresentation as types_ListPreferencesRepresentation_ListPreferencesRepresentation } from '../types/ListPreferencesRepresentation';
export declare const adapterName = "getListPreferences";
export declare const getListPreferences_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListPreferences_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListPreferencesConfig {
    listViewApiName: string;
    objectApiName: string;
}
export declare const createResourceParams: (config: GetListPreferencesConfig) => resources_getUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListPreferencesConfig>): adapter$45$utils_Untrusted<GetListPreferencesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListPreferencesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig): $64$luvio_engine_Snapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig, resourceParams: resources_getUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListPreferencesRepresentation_ListPreferencesRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig, resourceParams: resources_getUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListPreferencesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListPreferencesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListPreferencesRepresentation_ListPreferencesRepresentation>): $64$luvio_engine_Snapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>;
export declare const getListPreferencesAdapterFactory: $64$luvio_engine_AdapterFactory<GetListPreferencesConfig, types_ListPreferencesRepresentation_ListPreferencesRepresentation>;
