import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, UnfulfilledSnapshot as $64$luvio_engine_UnfulfilledSnapshot, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiListUiByObjectApiName_ResourceRequestConfig, createResourceRequest as resources_getUiApiListUiByObjectApiName_createResourceRequest } from '../resources/getUiApiListUiByObjectApiName';
import { ListViewSummaryCollectionRepresentation as types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation } from '../types/ListViewSummaryCollectionRepresentation';
export declare const adapterName = "getListViewSummaryCollection";
export declare const getListViewSummaryCollection_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListViewSummaryCollection_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListViewSummaryCollectionConfig {
    objectApiName: string;
    pageSize?: number;
    pageToken?: string;
    q?: string;
    recentListsOnly?: boolean;
}
export declare const createResourceParams: (config: GetListViewSummaryCollectionConfig) => resources_getUiApiListUiByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListViewSummaryCollectionConfig>): adapter$45$utils_Untrusted<GetListViewSummaryCollectionConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListViewSummaryCollectionConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig): $64$luvio_engine_Snapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig, resourceParams: resources_getUiApiListUiByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig, resourceParams: resources_getUiApiListUiByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function prepareRequest(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig, resourceParams: resources_getUiApiListUiByObjectApiName_ResourceRequestConfig, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>): ReturnType<typeof resources_getUiApiListUiByObjectApiName_createResourceRequest>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListViewSummaryCollectionConfig, options?: $64$luvio_engine_DispatchResourceRequestContext, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>): Promise<$64$luvio_engine_Snapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListViewSummaryCollectionConfig;
    cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>): $64$luvio_engine_Snapshot<types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation, any>;
export declare const getListViewSummaryCollectionAdapterFactory: $64$luvio_engine_AdapterFactory<GetListViewSummaryCollectionConfig, types_ListViewSummaryCollectionRepresentation_ListViewSummaryCollectionRepresentation>;
