import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiObjectInfo_ResourceRequestConfig } from '../resources/getUiApiObjectInfo';
import { ObjectInfoDirectoryRepresentation as types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation } from '../types/ObjectInfoDirectoryRepresentation';
export declare const adapterName = "getObjectInfoDirectory";
export declare const getObjectInfoDirectory_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getObjectInfoDirectory_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetObjectInfoDirectoryConfig {
}
export declare const createResourceParams: (config: GetObjectInfoDirectoryConfig) => resources_getUiApiObjectInfo_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetObjectInfoDirectoryConfig>): adapter$45$utils_Untrusted<GetObjectInfoDirectoryConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetObjectInfoDirectoryConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig): $64$luvio_engine_Snapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig, resourceParams: resources_getUiApiObjectInfo_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig, resourceParams: resources_getUiApiObjectInfo_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetObjectInfoDirectoryConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetObjectInfoDirectoryConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation>): $64$luvio_engine_Snapshot<types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation, any>;
export declare const getObjectInfoDirectoryAdapterFactory: $64$luvio_engine_AdapterFactory<GetObjectInfoDirectoryConfig, types_ObjectInfoDirectoryRepresentation_ObjectInfoDirectoryRepresentation>;
