import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig, UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsLayoutByActionApiName_ResourceRequestConfig } from '../resources/getUiApiActionsLayoutByActionApiName';
import { QuickActionLayoutRepresentation as types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, KeyParams as types_QuickActionLayoutRepresentation_KeyParams } from '../types/QuickActionLayoutRepresentation';
export declare const adapterName = "getQuickActionLayout";
export declare const getQuickActionLayout_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getQuickActionLayout_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetQuickActionLayoutConfig {
    actionApiName: string;
    objectApiName?: string;
    recordTypeId?: string;
}
export declare const createResourceParams: (config: GetQuickActionLayoutConfig) => resources_getUiApiActionsLayoutByActionApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetQuickActionLayoutConfig>): adapter$45$utils_Untrusted<GetQuickActionLayoutConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetQuickActionLayoutConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig): $64$luvio_engine_Snapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig, resourceParams: resources_getUiApiActionsLayoutByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig, resourceParams: resources_getUiApiActionsLayoutByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionLayoutConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetQuickActionLayoutConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation>): $64$luvio_engine_Snapshot<types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation, any>;
export declare const getQuickActionLayoutAdapterFactory: $64$luvio_engine_AdapterFactory<GetQuickActionLayoutConfig, types_QuickActionLayoutRepresentation_QuickActionLayoutRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_QuickActionLayoutRepresentation_KeyParams, any>[]) => void;
