import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListCountByParentRecordIdAndRelatedListId_ResourceRequestConfig } from '../resources/getUiApiRelatedListCountByParentRecordIdAndRelatedListId';
import { RelatedListRecordCountRepresentation as types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation } from '../types/RelatedListRecordCountRepresentation';
export declare const adapterName = "getRelatedListCount";
export declare const getRelatedListCount_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListCount_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListCountConfig {
    parentRecordId: string;
    relatedListId: string;
    maxCount?: number;
}
export declare const createResourceParams: (config: GetRelatedListCountConfig) => resources_getUiApiRelatedListCountByParentRecordIdAndRelatedListId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListCountConfig>): adapter$45$utils_Untrusted<GetRelatedListCountConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListCountConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig): $64$luvio_engine_Snapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig, resourceParams: resources_getUiApiRelatedListCountByParentRecordIdAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig, resourceParams: resources_getUiApiRelatedListCountByParentRecordIdAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListCountConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListCountConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation, any>;
export declare const getRelatedListCountAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListCountConfig, types_RelatedListRecordCountRepresentation_RelatedListRecordCountRepresentation>;
