import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListCountBatchByParentRecordIdAndRelatedListNames_ResourceRequestConfig } from '../resources/getUiApiRelatedListCountBatchByParentRecordIdAndRelatedListNames';
import { BatchRelatedListCountRepresentation as types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation } from '../types/BatchRelatedListCountRepresentation';
export declare const adapterName = "getRelatedListsCount";
export declare const getRelatedListsCount_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListsCount_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListsCountConfig {
    parentRecordId: string;
    relatedListNames: Array<string>;
    maxCount?: number;
}
export declare const createResourceParams: (config: GetRelatedListsCountConfig) => resources_getUiApiRelatedListCountBatchByParentRecordIdAndRelatedListNames_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListsCountConfig>): adapter$45$utils_Untrusted<GetRelatedListsCountConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListsCountConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig): $64$luvio_engine_Snapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig, resourceParams: resources_getUiApiRelatedListCountBatchByParentRecordIdAndRelatedListNames_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig, resourceParams: resources_getUiApiRelatedListCountBatchByParentRecordIdAndRelatedListNames_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsCountConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListsCountConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation>): $64$luvio_engine_Snapshot<types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation, any>;
export declare const getRelatedListsCountAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListsCountConfig, types_BatchRelatedListCountRepresentation_BatchRelatedListCountRepresentation>;
