import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiSearchInfoFiltersByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiSearchInfoFiltersByObjectApiName';
import { SearchFilterMetadataCollectionRepresentation as types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation } from '../types/SearchFilterMetadataCollectionRepresentation';
export declare const adapterName = "getSearchFilterMetadata";
export declare const getSearchFilterMetadata_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getSearchFilterMetadata_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetSearchFilterMetadataConfig {
    objectApiName: string;
    channel?: string;
    configurationName?: string;
}
export declare const createResourceParams: (config: GetSearchFilterMetadataConfig) => resources_getUiApiSearchInfoFiltersByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetSearchFilterMetadataConfig>): adapter$45$utils_Untrusted<GetSearchFilterMetadataConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetSearchFilterMetadataConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig): $64$luvio_engine_Snapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig, resourceParams: resources_getUiApiSearchInfoFiltersByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig, resourceParams: resources_getUiApiSearchInfoFiltersByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetSearchFilterMetadataConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetSearchFilterMetadataConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation>): $64$luvio_engine_Snapshot<types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation, any>;
export declare const getSearchFilterMetadataAdapterFactory: $64$luvio_engine_AdapterFactory<GetSearchFilterMetadataConfig, types_SearchFilterMetadataCollectionRepresentation_SearchFilterMetadataCollectionRepresentation>;
