import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, FetchResponse as $64$luvio_engine_FetchResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { SearchFilterOptionCollectionRepresentation as types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation } from '../types/SearchFilterOptionCollectionRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        filterApiName: string;
        objectApiName: string;
    };
    queryParams: {
        q?: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_SearchFilterOptionCollectionRepresentation_SearchFilterOptionCollectionRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
