import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { AppRepresentation as types_AppRepresentation_AppRepresentation } from '../types/AppRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        appId: string;
    };
    queryParams: {
        formFactor?: string;
        userCustomizations?: boolean;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_AppRepresentation_AppRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_AppRepresentation_AppRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_AppRepresentation_AppRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_AppRepresentation_AppRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_AppRepresentation_AppRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
