import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { ListRecordCollectionRepresentation as types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation } from '../types/ListRecordCollectionRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        listViewId: string;
    };
    queryParams: {
        sortBy?: Array<string>;
    };
    body: {
        fields?: Array<string>;
        optionalFields?: Array<string>;
        pageSize?: number;
        pageToken?: string;
        searchTerm?: string;
        sortBy?: Array<string>;
        where?: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_ListRecordCollectionRepresentation_ListRecordCollectionRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
