import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e6e85e002008cb24b5aedacd909c507c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AvatarAssociationInputRepresentation, existing: AvatarAssociationInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AvatarAssociationInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AvatarAssociationInputRepresentationNormalized, incoming: AvatarAssociationInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AvatarAssociationInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Description of a Avatar Association input.
 *
 * Keys:
 *    (none)
 */
export interface AvatarAssociationInputRepresentationNormalized {
    /** Association action type */
    actionType: string;
    /** The BlueMaster Id */
    blueMasterId?: string;
    /** The External Id */
    externalId?: string;
    /** The Photo url. */
    photoUrl?: string;
    /** The Profile Name */
    profileName?: string;
}
/**
 * Description of a Avatar Association input.
 *
 * Keys:
 *    (none)
 */
export interface AvatarAssociationInputRepresentation {
    actionType: string;
    blueMasterId?: string;
    externalId?: string;
    photoUrl?: string;
    profileName?: string;
}
