import { BatchOperationInputRepresentation as BatchOperationInputRepresentation_BatchOperationInputRepresentation } from './BatchOperationInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d988c61e77c163f6d6c7a5bf6598ef27";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: BatchInputRepresentation, existing: BatchInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): BatchInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: BatchInputRepresentationNormalized, incoming: BatchInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: BatchInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Batch Operations on Records.
 *
 * Keys:
 *    (none)
 */
export interface BatchInputRepresentationNormalized {
    /** Set allOrNone param */
    allOrNone: boolean;
    /** Set operations */
    operations: Array<BatchOperationInputRepresentation_BatchOperationInputRepresentation>;
}
/**
 * Batch Operations on Records.
 *
 * Keys:
 *    (none)
 */
export interface BatchInputRepresentation {
    allOrNone: boolean;
    operations: Array<BatchOperationInputRepresentation_BatchOperationInputRepresentation>;
}
