import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5e970aa7dacfdd8e0c6d5daca575ec58";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CopilotQuickActionInputRepresentation, existing: CopilotQuickActionInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CopilotQuickActionInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CopilotQuickActionInputRepresentationNormalized, incoming: CopilotQuickActionInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CopilotQuickActionInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Quick Action Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface CopilotQuickActionInputRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** copilot action input name */
    inputName: string;
    /** copilot quick action input value */
    inputValue: string;
}
/**
 * Quick Action Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface CopilotQuickActionInputRepresentation {
    eTag: string;
    inputName: string;
    inputValue: string;
}
