import { DisplayLayoutRepresentation as DisplayLayoutRepresentation_DisplayLayoutRepresentation } from './DisplayLayoutRepresentation';
import { MatchingInfoRepresentation as MatchingInfoRepresentation_MatchingInfoRepresentation } from './MatchingInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c874d0228111fdd1f93fcc6d4011d7a4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DisplayLayoutAndMatchingInfoRepresentation, existing: DisplayLayoutAndMatchingInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DisplayLayoutAndMatchingInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DisplayLayoutAndMatchingInfoRepresentationNormalized, incoming: DisplayLayoutAndMatchingInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DisplayLayoutAndMatchingInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups target display layout and matching info
 *
 * Keys:
 *    (none)
 */
export interface DisplayLayoutAndMatchingInfoRepresentationNormalized {
    displayLayout: DisplayLayoutRepresentation_DisplayLayoutRepresentation;
    matchingInfo: MatchingInfoRepresentation_MatchingInfoRepresentation;
}
/**
 * Search Lookups target display layout and matching info
 *
 * Keys:
 *    (none)
 */
export interface DisplayLayoutAndMatchingInfoRepresentation {
    displayLayout: DisplayLayoutRepresentation_DisplayLayoutRepresentation;
    matchingInfo: MatchingInfoRepresentation_MatchingInfoRepresentation;
}
