import { MatchResultRepresentation as MatchResultRepresentation_MatchResultRepresentation } from './MatchResultRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "24e0f70b6dfd572c484604099728b813";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DuplicateRecordErrorRepresentation, existing: DuplicateRecordErrorRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DuplicateRecordErrorRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DuplicateRecordErrorRepresentationNormalized, incoming: DuplicateRecordErrorRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DuplicateRecordErrorRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Duplicate record error.
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRecordErrorRepresentationNormalized {
    /** Duplicate rule match results. */
    matchResults: Array<MatchResultRepresentation_MatchResultRepresentation>;
}
/**
 * Duplicate record error.
 *
 * Keys:
 *    (none)
 */
export interface DuplicateRecordErrorRepresentation {
    matchResults: Array<MatchResultRepresentation_MatchResultRepresentation>;
}
