import { AbstractRecordAvatarBatchRepresentation as AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation } from './AbstractRecordAvatarBatchRepresentation';
import { ErrorSingleRecordAvatarRepresentation as ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation } from './ErrorSingleRecordAvatarRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 300000;
export declare const VERSION = "cbd48fd50d0db463fdff7b1834c22bed";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ErrorRecordAvatarBatchRepresentation, existing: ErrorRecordAvatarBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ErrorRecordAvatarBatchRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ErrorRecordAvatarBatchRepresentationNormalized, incoming: ErrorRecordAvatarBatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ErrorRecordAvatarBatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface ErrorRecordAvatarBatchRepresentationNormalized extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: Array<ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation>;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface ErrorRecordAvatarBatchRepresentation extends AbstractRecordAvatarBatchRepresentation_AbstractRecordAvatarBatchRepresentation {
    result: Array<ErrorSingleRecordAvatarRepresentation_ErrorSingleRecordAvatarRepresentation>;
    statusCode: 404;
}
