import { FavoriteRepresentation as FavoriteRepresentation_FavoriteRepresentation } from './FavoriteRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "998b1e791f0fb7cff4833fd95ba799b9";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FavoriteCollectionRepresentation, existing: FavoriteCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FavoriteCollectionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FavoriteCollectionRepresentationNormalized, incoming: FavoriteCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FavoriteCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A list of favorites.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteCollectionRepresentationNormalized {
    /** The list of favorites. */
    favorites: Array<FavoriteRepresentation_FavoriteRepresentation>;
}
/**
 * A list of favorites.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteCollectionRepresentation {
    favorites: Array<FavoriteRepresentation_FavoriteRepresentation>;
}
