import { AbstractFormSubitemRepresentation as AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation } from './AbstractFormSubitemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { FieldFormSubitemRepresentation as FieldFormSubitemRepresentation_FieldFormSubitemRepresentation } from './FieldFormSubitemRepresentation';
import { EmptySpaceFormSubitemRepresentation as EmptySpaceFormSubitemRepresentation_EmptySpaceFormSubitemRepresentation } from './EmptySpaceFormSubitemRepresentation';
export declare const VERSION = "8b8325b5f7569fd75593767efc10840b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FormItemRepresentation, existing: FormItemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FormItemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FormItemRepresentationNormalized, incoming: FormItemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FormItemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Form item
 *
 * Keys:
 *    (none)
 */
export interface FormItemRepresentationNormalized {
    /** Subitems that make up the item. */
    formSubitems: Array<AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation>;
    /** Text label for the item. */
    label: string;
}
/**
 * Form item
 *
 * Keys:
 *    (none)
 */
export interface FormItemRepresentation {
    formSubitems: Array<FieldFormSubitemRepresentation_FieldFormSubitemRepresentation | EmptySpaceFormSubitemRepresentation_EmptySpaceFormSubitemRepresentation>;
    label: string;
}
