import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "09238e0bf71a2471bc1a14e299765dcc";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: GraphQLErrorLocation, existing: GraphQLErrorLocationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): GraphQLErrorLocationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: GraphQLErrorLocationNormalized, incoming: GraphQLErrorLocationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: GraphQLErrorLocation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * The location where a GraphQL error occurred.
 *
 * Keys:
 *    (none)
 */
export interface GraphQLErrorLocationNormalized {
    /** The column number where the GraphQL error occurred. */
    column: number;
    /** The line number where the GraphQL error occurred. */
    line: number;
}
/**
 * The location where a GraphQL error occurred.
 *
 * Keys:
 *    (none)
 */
export interface GraphQLErrorLocation {
    column: number;
    line: number;
}
