import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a1bb2ba8157638a0917a2a7507562661";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListFieldErrorRepresentation, existing: ListFieldErrorRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListFieldErrorRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListFieldErrorRepresentationNormalized, incoming: ListFieldErrorRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListFieldErrorRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListFieldErrorRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListFieldErrorRepresentationNormalized {
    /** Further information about the column's error. */
    errorMessage: string;
    /** API name for the field with an error. */
    fieldApiName: string;
}
/**
 * ListFieldErrorRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListFieldErrorRepresentation {
    errorMessage: string;
    fieldApiName: string;
}
