import { ListFieldErrorRepresentation as ListFieldErrorRepresentation_ListFieldErrorRepresentation } from './ListFieldErrorRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "938cfdd2d9e0a030796ec7c94c846a44";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListInfoErrorRepresentation, existing: ListInfoErrorRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoErrorRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInfoErrorRepresentationNormalized, incoming: ListInfoErrorRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoErrorRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListInfoErrorRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoErrorRepresentationNormalized {
    /** List of errors associated with specific fields. */
    fieldErrors: Array<ListFieldErrorRepresentation_ListFieldErrorRepresentation>;
}
/**
 * ListInfoErrorRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoErrorRepresentation {
    fieldErrors: Array<ListFieldErrorRepresentation_ListFieldErrorRepresentation>;
}
