import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "f1519bef57e70ab7c5ef160dc5ff0c47";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListInfoShareRepresentation, existing: ListInfoShareRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoShareRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInfoShareRepresentationNormalized, incoming: ListInfoShareRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoShareRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListInfoShareRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoShareRepresentationNormalized {
    /** The label for this shared item. */
    label: string;
    /** The API name for this shared item. */
    shareApiName: string;
}
/**
 * ListInfoShareRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoShareRepresentation {
    label: string;
    shareApiName: string;
}
