import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "76042ff4af603b2ac0ec69fa0bd12046";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListReferenceRepresentation, existing: ListReferenceRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListReferenceRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListReferenceRepresentationNormalized, incoming: ListReferenceRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListReferenceRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListReferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListReferenceRepresentationNormalized {
    /** List view id. */
    id: string | null;
    /** The list view's api name.  E.g. "AllAccounts". */
    listViewApiName: string | null;
    /** Entity API name for list view. */
    objectApiName: string;
    /** Type of the list view. */
    type: string;
}
/**
 * ListReferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListReferenceRepresentation {
    id: string | null;
    listViewApiName: string | null;
    objectApiName: string;
    type: string;
}
