import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "2634258f216db34315c06d759a35676d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListScopeEntityRepresentation, existing: ListScopeEntityRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListScopeEntityRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListScopeEntityRepresentationNormalized, incoming: ListScopeEntityRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListScopeEntityRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListScopeEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeEntityRepresentationNormalized {
    /** Id of the scope entity. */
    id: string;
    /** Label for the scope entity. */
    label: string;
}
/**
 * ListScopeEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeEntityRepresentation {
    id: string;
    label: string;
}
