import { ListOrderedByInfoInputRepresentation as ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from './ListOrderedByInfoInputRepresentation';
import { RecordInputRepresentation as RecordInputRepresentation_RecordInputRepresentation } from './RecordInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "62c473d88e350d46257d855cc52eec00";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: LookupPOSTRequestBodyRepresentation, existing: LookupPOSTRequestBodyRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LookupPOSTRequestBodyRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: LookupPOSTRequestBodyRepresentationNormalized, incoming: LookupPOSTRequestBodyRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LookupPOSTRequestBodyRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A lookup POST request body.
 *
 * Keys:
 *    (none)
 */
export interface LookupPOSTRequestBodyRepresentationNormalized {
    /** The sorting preference for the results. */
    orderBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    sourceRecord?: RecordInputRepresentation_RecordInputRepresentation;
}
/**
 * A lookup POST request body.
 *
 * Keys:
 *    (none)
 */
export interface LookupPOSTRequestBodyRepresentation {
    orderBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    sourceRecord?: RecordInputRepresentation_RecordInputRepresentation;
}
