import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e84b9ffdeff97c411bd111f2a55cf6b6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PhotoMetadataRepresentation, existing: PhotoMetadataRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PhotoMetadataRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PhotoMetadataRepresentationNormalized, incoming: PhotoMetadataRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PhotoMetadataRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents an metadata of an avatar associated to a record.
 *
 * Keys:
 *    (none)
 */
export interface PhotoMetadataRepresentationNormalized {
    /** The ID of the response that this avatar is associated to. */
    companyBluemasterId: string | null;
    /** The ID of the bluemasterID that this avatar is associated to. */
    responseId: string | null;
}
/**
 * Represents an metadata of an avatar associated to a record.
 *
 * Keys:
 *    (none)
 */
export interface PhotoMetadataRepresentation {
    companyBluemasterId: string | null;
    responseId: string | null;
}
