import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "f0890e4ec6dac665cf3334c2d73af66a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ReferenceToInfoRepresentation, existing: ReferenceToInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ReferenceToInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ReferenceToInfoRepresentationNormalized, incoming: ReferenceToInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ReferenceToInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Information about a reference field's referenced types and the name field names of those types.
 *
 * Keys:
 *    (none)
 */
export interface ReferenceToInfoRepresentationNormalized {
    /** The object API name of a type being referenced in a relationship. */
    apiName: string;
    /** The names of the name fields for this object type. Combined with the relationship name, you can determine how to query this type's name fields, e.g. Parent.Name. Typically there is one name field per object, except where FirstName and LastName fields are used. */
    nameFields: Array<string>;
}
/**
 * Information about a reference field's referenced types and the name field names of those types.
 *
 * Keys:
 *    (none)
 */
export interface ReferenceToInfoRepresentation {
    apiName: string;
    nameFields: Array<string>;
}
