import { SearchIntentComponentRepresentation as SearchIntentComponentRepresentation_SearchIntentComponentRepresentation } from './SearchIntentComponentRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "13710f67026b501cb15ce28080fd1c33";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchIntentActionRepresentation, existing: SearchIntentActionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchIntentActionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchIntentActionRepresentationNormalized, incoming: SearchIntentActionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchIntentActionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Description for dataProvider and display components for the query
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentActionRepresentationNormalized {
    dataProviderCmp: SearchIntentComponentRepresentation_SearchIntentComponentRepresentation;
    /** A mapping of the type of search result (KW, NLS, SA, DA) to the display component to render */
    displayCmps: {
        [key: string]: SearchIntentComponentRepresentation_SearchIntentComponentRepresentation;
    };
}
/**
 * Description for dataProvider and display components for the query
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentActionRepresentation {
    dataProviderCmp: SearchIntentComponentRepresentation_SearchIntentComponentRepresentation;
    displayCmps: {
        [key: string]: SearchIntentComponentRepresentation_SearchIntentComponentRepresentation;
    };
}
