import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "84cf92b38fbd105ea75de242d60806cd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchIntentComponentRepresentation, existing: SearchIntentComponentRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchIntentComponentRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchIntentComponentRepresentationNormalized, incoming: SearchIntentComponentRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchIntentComponentRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Component to instantiate for a search intent call
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentComponentRepresentationNormalized {
    /** Public attributes of the component */
    attrs: {
        [key: string]: {};
    };
    /** Name of the component */
    cmp: string;
}
/**
 * Component to instantiate for a search intent call
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentComponentRepresentation {
    attrs: {
        [key: string]: {};
    };
    cmp: string;
}
