import type { ResourceRequest, Snapshot } from '@luvio/engine';
import type { PerformQuickActionConfig } from '../../generated/adapters/performQuickAction';
import type { QuickActionExecutionRepresentation } from '../../generated/types/QuickActionExecutionRepresentation';
export type DraftAwarePerformQuickActionAdapter = (config: PerformQuickActionConfig, requestBuilder: (config: PerformQuickActionConfig) => ResourceRequest) => Promise<Snapshot<QuickActionExecutionRepresentation>>;
