import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, DeleteAdapterFactory as $64$luvio_engine_DeleteAdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_deleteUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/deleteUiApiListInfoByListViewApiNameAndObjectApiName';
export declare const adapterName = "deleteListInfo";
export declare const deleteListInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const deleteListInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface DeleteListInfoConfig {
    listViewApiName: string;
    objectApiName: string;
}
export declare const createResourceParams: (config: DeleteListInfoConfig) => resources_deleteUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<DeleteListInfoConfig>): adapter$45$utils_Untrusted<DeleteListInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): DeleteListInfoConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: DeleteListInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<void>;
export declare const deleteListInfoAdapterFactory: $64$luvio_engine_DeleteAdapterFactory<DeleteListInfoConfig>;
