import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiListInfoBatch_ResourceRequestConfig } from '../resources/getUiApiListInfoBatch';
import { ListInfoBatchRepresentation as types_ListInfoBatchRepresentation_ListInfoBatchRepresentation } from '../types/ListInfoBatchRepresentation';
export declare const adapterName = "getListInfosByName";
export declare const getListInfosByName_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListInfosByName_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListInfosByNameConfig {
    ids?: Array<string>;
    names?: Array<string>;
}
export declare const createResourceParams: (config: GetListInfosByNameConfig) => resources_getUiApiListInfoBatch_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListInfosByNameConfig>): adapter$45$utils_Untrusted<GetListInfosByNameConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListInfosByNameConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig): $64$luvio_engine_Snapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig, resourceParams: resources_getUiApiListInfoBatch_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig, resourceParams: resources_getUiApiListInfoBatch_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListInfosByNameConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListInfosByNameConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>): $64$luvio_engine_Snapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>;
export declare const getListInfosByNameAdapterFactory: $64$luvio_engine_AdapterFactory<GetListInfosByNameConfig, types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>;
