import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig, UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiSearchInfoLookupByFieldApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/getUiApiSearchInfoLookupByFieldApiNameAndObjectApiName';
import { LookupMetadataRepresentation as types_LookupMetadataRepresentation_LookupMetadataRepresentation, KeyParams as types_LookupMetadataRepresentation_KeyParams } from '../types/LookupMetadataRepresentation';
export declare const adapterName = "getLookupMetadata";
export declare const getLookupMetadata_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getLookupMetadata_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetLookupMetadataConfig {
    fieldApiName: string;
    objectApiName: string;
}
export declare const createResourceParams: (config: GetLookupMetadataConfig) => resources_getUiApiSearchInfoLookupByFieldApiNameAndObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetLookupMetadataConfig>): adapter$45$utils_Untrusted<GetLookupMetadataConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetLookupMetadataConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig): $64$luvio_engine_Snapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig, resourceParams: resources_getUiApiSearchInfoLookupByFieldApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_LookupMetadataRepresentation_LookupMetadataRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig, resourceParams: resources_getUiApiSearchInfoLookupByFieldApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetLookupMetadataConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetLookupMetadataConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_LookupMetadataRepresentation_LookupMetadataRepresentation>): $64$luvio_engine_Snapshot<types_LookupMetadataRepresentation_LookupMetadataRepresentation, any>;
export declare const getLookupMetadataAdapterFactory: $64$luvio_engine_AdapterFactory<GetLookupMetadataConfig, types_LookupMetadataRepresentation_LookupMetadataRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_LookupMetadataRepresentation_KeyParams, any>[]) => void;
