import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_patchUiApiLayoutUserStateByObjectApiName_ResourceRequestConfig } from '../resources/patchUiApiLayoutUserStateByObjectApiName';
import { RecordLayoutUserStateRepresentation as types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation } from '../types/RecordLayoutUserStateRepresentation';
export declare const adapterName = "updateLayoutUserState";
export declare const updateLayoutUserState_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateLayoutUserState_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateLayoutUserStateConfig {
    objectApiName: string;
    formFactor?: string;
    layoutType?: string;
    mode?: string;
    recordTypeId?: string;
    sectionUserStates: {
        [key: string]: {};
    };
}
export declare const createResourceParams: (config: UpdateLayoutUserStateConfig) => resources_patchUiApiLayoutUserStateByObjectApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateLayoutUserStateConfig>): adapter$45$utils_Untrusted<UpdateLayoutUserStateConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateLayoutUserStateConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateLayoutUserStateConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, any>>;
export declare const updateLayoutUserStateAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateLayoutUserStateConfig, types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation>;
