import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiRecordAvatarsAssociationByRecordId_ResourceRequestConfig } from '../resources/postUiApiRecordAvatarsAssociationByRecordId';
import { AbstractRecordAvatarRepresentation as types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation } from '../types/AbstractRecordAvatarRepresentation';
export declare const adapterName = "updateRecordAvatar";
export declare const updateRecordAvatar_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateRecordAvatar_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateRecordAvatarConfig {
    recordId: string;
    actionType: string;
    blueMasterId?: string;
    externalId?: string;
    photoUrl?: string;
    profileName?: string;
}
export declare const createResourceParams: (config: UpdateRecordAvatarConfig) => resources_postUiApiRecordAvatarsAssociationByRecordId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateRecordAvatarConfig>): adapter$45$utils_Untrusted<UpdateRecordAvatarConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateRecordAvatarConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateRecordAvatarConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, any>>;
export declare const updateRecordAvatarAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateRecordAvatarConfig, types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation>;
