import { Interface as BooleanAggregate_Interface } from './BooleanAggregate';
import { Interface as CurrencyAggregate_Interface } from './CurrencyAggregate';
import { Interface as DateAggregate_Interface } from './DateAggregate';
import { Interface as DoubleAggregate_Interface } from './DoubleAggregate';
import { Interface as EmailAggregate_Interface } from './EmailAggregate';
import { Interface as IDAggregate_Interface } from './IDAggregate';
import { Interface as IntAggregate_Interface } from './IntAggregate';
import { Interface as LatitudeAggregate_Interface } from './LatitudeAggregate';
import { Interface as LongAggregate_Interface } from './LongAggregate';
import { Interface as LongitudeAggregate_Interface } from './LongitudeAggregate';
import { Interface as PercentAggregate_Interface } from './PercentAggregate';
import { Interface as PhoneNumberAggregate_Interface } from './PhoneNumberAggregate';
import { Interface as PicklistAggregate_Interface } from './PicklistAggregate';
import { Interface as StringAggregate_Interface } from './StringAggregate';
import { Interface as TextAreaAggregate_Interface } from './TextAreaAggregate';
import { Interface as TimeAggregate_Interface } from './TimeAggregate';
import { Interface as UrlAggregate_Interface } from './UrlAggregate';
import { Interface as Setup__SetupPolymorphicAggregateParentRelationship_Interface } from './Setup__SetupPolymorphicAggregateParentRelationship';
import { Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Reader as $64$luvio_engine_Reader, SelectionPropertyKey as $64$luvio_engine_SelectionPropertyKey, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { NormalizedGraphQL as type$45$util_NormalizedGraphQL, GraphQLIngestState as type$45$util_GraphQLIngestState, GraphQLLuvioState as type$45$util_GraphQLLuvioState } from './type-util';
import { FieldNode as $64$luvio_graphql$45$parser_FieldNode, OperationDefinitionNode as $64$luvio_graphql$45$parser_OperationDefinitionNode, SelectionNode as $64$luvio_graphql$45$parser_SelectionNode, FragmentDefinitionNode as $64$luvio_graphql$45$parser_FragmentDefinitionNode, InlineFragmentNode as $64$luvio_graphql$45$parser_InlineFragmentNode, FragmentSpreadNode as $64$luvio_graphql$45$parser_FragmentSpreadNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables, GraphQLFragmentMap as $64$luvio_graphql_GraphQLFragmentMap, GetMinimumSelectionsFunction as $64$luvio_graphql_GetMinimumSelectionsFunction } from '@luvio/graphql';
export declare const name = "Setup__SetupRecordAggregate";
export declare const VERSION = "47f8092aa692ffc3ab1a2cc12b530dbc";
export interface Interface {
    ApiName: string;
    BooleanAggregate: BooleanAggregate_Interface | undefined;
    CurrencyAggregate: CurrencyAggregate_Interface | undefined;
    DateAggregate: DateAggregate_Interface | undefined;
    DoubleAggregate: DoubleAggregate_Interface | undefined;
    EmailAggregate: EmailAggregate_Interface | undefined;
    IDAggregate: IDAggregate_Interface | undefined;
    IntAggregate: IntAggregate_Interface | undefined;
    LatitudeAggregate: LatitudeAggregate_Interface | undefined;
    LongAggregate: LongAggregate_Interface | undefined;
    LongitudeAggregate: LongitudeAggregate_Interface | undefined;
    PercentAggregate: PercentAggregate_Interface | undefined;
    PhoneNumberAggregate: PhoneNumberAggregate_Interface | undefined;
    PicklistAggregate: PicklistAggregate_Interface | undefined;
    StringAggregate: StringAggregate_Interface | undefined;
    TextAreaAggregate: TextAreaAggregate_Interface | undefined;
    TimeAggregate: TimeAggregate_Interface | undefined;
    UrlAggregate: UrlAggregate_Interface | undefined;
    parentRelationship: Interface | undefined;
    polymorphicParentRelationship: Setup__SetupPolymorphicAggregateParentRelationship_Interface | undefined;
}
export interface MinimumInterface {
}
export type PartialInterface = Record<string, any> & MinimumInterface;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, path: $64$luvio_engine_IngestPath, data: PartialInterface): string | $64$luvio_engine_NormalizedKeyMetadata;
export declare function mergeData(existingData: type$45$util_NormalizedGraphQL, newData: type$45$util_NormalizedGraphQL): {
    data: Record<string, any>;
};
export declare function ingest(astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLIngestState<PartialInterface>): {
    __ref: string;
};
export declare function getFieldData(source: type$45$util_NormalizedGraphQL, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables): any;
export declare function selectType(typename: string, sel: $64$luvio_graphql$45$parser_FieldNode, fieldData: any, reader: $64$luvio_engine_Reader<any>, key: $64$luvio_engine_SelectionPropertyKey, sink: any, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): any;
export declare function buildSelectionForField(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function buildSelectionForNode(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentNode: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, selectionNode: $64$luvio_graphql$45$parser_SelectionNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function select(field: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap): (source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentRecordId: string) => PartialInterface | undefined;
export declare const getMinimumSelections: $64$luvio_graphql_GetMinimumSelectionsFunction;
export declare function getTypeCacheKeys(cacheKeySink: $64$luvio_engine_DurableStoreKeyMetadataMap, astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLLuvioState<PartialInterface>): void;
export declare function getFieldType(field: $64$luvio_graphql$45$parser_FieldNode): {
    isArray: boolean;
    typename: string;
} | undefined;
export declare function ingestFieldByType(typename: string, parentKey: string | $64$luvio_engine_NormalizedKeyMetadata, requestedField: $64$luvio_graphql$45$parser_FieldNode, sink: Record<string, any>, fieldKey: $64$luvio_engine_SelectionPropertyKey, fieldData: any, state: type$45$util_GraphQLIngestState<PartialInterface>): void;
export declare function isMappedField(field: $64$luvio_graphql$45$parser_FieldNode): boolean;
export declare function isFragmentApplicable(fragmentNode: $64$luvio_graphql$45$parser_FragmentDefinitionNode | $64$luvio_graphql$45$parser_InlineFragmentNode, typename?: string): boolean;
export declare function getInContextFragmentType(fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): string | undefined;
