import { Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
export interface ResourceRequestConfig {
    urlParams: {
        apiName: string;
    };
}
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(cacheKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig): void;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
