import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
interface NumericDiscriminatorValueInterface {
    '200': 200;
    '400': 400;
    '404': 404;
}
export type DiscriminatorValues = NumericDiscriminatorValueInterface[keyof NumericDiscriminatorValueInterface];
export declare const DiscriminatorValues: NumericDiscriminatorValueInterface;
export declare const TTL = 300000;
export declare const VERSION = "8956293536e94d5ec63b274b61033d2c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AbstractRecordAvatarBatchRepresentation, existing: AbstractRecordAvatarBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AbstractRecordAvatarBatchRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AbstractRecordAvatarBatchRepresentationNormalized, incoming: AbstractRecordAvatarBatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AbstractRecordAvatarBatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface AbstractRecordAvatarBatchRepresentationNormalized {
    statusCode: number;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface AbstractRecordAvatarBatchRepresentation {
    statusCode: number;
}
export {};
