import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c37dfaedbb65893bc278dc6b26decfed";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AdvancedLookupDisplayInfoFieldRepresentation, existing: AdvancedLookupDisplayInfoFieldRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AdvancedLookupDisplayInfoFieldRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AdvancedLookupDisplayInfoFieldRepresentationNormalized, incoming: AdvancedLookupDisplayInfoFieldRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AdvancedLookupDisplayInfoFieldRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups - Advanced Lookup Display Info Field metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupDisplayInfoFieldRepresentationNormalized {
    /** Advanced Lookup Display Info Field FieldPath */
    fieldPath: string;
    /** Advanced Lookup Display Info Field Label */
    label: string;
    /** Advanced Lookup Display Info Field ObjectApiName */
    objectApiName: string;
}
/**
 * Search Lookups - Advanced Lookup Display Info Field metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupDisplayInfoFieldRepresentation {
    fieldPath: string;
    label: string;
    objectApiName: string;
}
