import { AdvancedLookupDisplayInfoRepresentation as AdvancedLookupDisplayInfoRepresentation_AdvancedLookupDisplayInfoRepresentation } from './AdvancedLookupDisplayInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "6adca634d0b71c3a7cb5093bb634874f";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AdvancedLookupInfoRepresentation, existing: AdvancedLookupInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AdvancedLookupInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AdvancedLookupInfoRepresentationNormalized, incoming: AdvancedLookupInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AdvancedLookupInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups - Advanced Lookup Info metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupInfoRepresentationNormalized {
    /** Advanced Lookup Display Info metadata */
    displayInfo: AdvancedLookupDisplayInfoRepresentation_AdvancedLookupDisplayInfoRepresentation;
}
/**
 * Search Lookups - Advanced Lookup Info metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupInfoRepresentation {
    displayInfo: AdvancedLookupDisplayInfoRepresentation_AdvancedLookupDisplayInfoRepresentation;
}
