import { OperationResponseRepresentation as OperationResponseRepresentation_OperationResponseRepresentation } from './OperationResponseRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5a0de30f356088b97232cac29d70adf7";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AggregateRepresentation, existing: AggregateRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AggregateRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AggregateRepresentationNormalized, incoming: AggregateRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AggregateRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * The result of all operations
 *
 * Keys:
 *    (none)
 */
export interface AggregateRepresentationNormalized {
    /** The responses from the execution */
    compositeResponse: Array<OperationResponseRepresentation_OperationResponseRepresentation>;
}
/**
 * The result of all operations
 *
 * Keys:
 *    (none)
 */
export interface AggregateRepresentation {
    compositeResponse: Array<OperationResponseRepresentation_OperationResponseRepresentation>;
}
