import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e9718ddbcfd32e221236fd8fa53883c2";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AppliedSearchFilterOutputRepresentation, existing: AppliedSearchFilterOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AppliedSearchFilterOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AppliedSearchFilterOutputRepresentationNormalized, incoming: AppliedSearchFilterOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AppliedSearchFilterOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Applied filter output response.
 *
 * Keys:
 *    (none)
 */
export interface AppliedSearchFilterOutputRepresentationNormalized {
    /** Field path where we should apply the filter */
    fieldPath: string;
    /** Label for the applied filter */
    label: string;
    /** Operator for the filter */
    operator: string;
    /** Values applied for the filter */
    values: Array<string>;
}
/**
 * Applied filter output response.
 *
 * Keys:
 *    (none)
 */
export interface AppliedSearchFilterOutputRepresentation {
    fieldPath: string;
    label: string;
    operator: string;
    values: Array<string>;
}
