import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a9ef377e5477d801df0f48553d914e16";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DisplayLayoutRepresentation, existing: DisplayLayoutRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DisplayLayoutRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: DisplayLayoutRepresentationNormalized, incoming: DisplayLayoutRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DisplayLayoutRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups target display layout metadata
 *
 * Keys:
 *    (none)
 */
export interface DisplayLayoutRepresentationNormalized {
    /** Fields to display in lookup results */
    displayFields: Array<string>;
}
/**
 * Search Lookups target display layout metadata
 *
 * Keys:
 *    (none)
 */
export interface DisplayLayoutRepresentation {
    displayFields: Array<string>;
}
