import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3b0cb065fe5b19ee64a32dfcc80ebbf6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: GraphQLBatchInputRepresentation, existing: GraphQLBatchInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): GraphQLBatchInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: GraphQLBatchInputRepresentationNormalized, incoming: GraphQLBatchInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: GraphQLBatchInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * GraphQL Batch Input Rep
 *
 * Keys:
 *    (none)
 */
export interface GraphQLBatchInputRepresentationNormalized {
    /** The list of graphQL operations to keep and update. */
    batchQuery: Array<{}>;
}
/**
 * GraphQL Batch Input Rep
 *
 * Keys:
 *    (none)
 */
export interface GraphQLBatchInputRepresentation {
    batchQuery: Array<{}>;
}
