import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "8d6965cf0a29d04aaeacd7acd8f04095";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: GraphQLInputRepresentation, existing: GraphQLInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): GraphQLInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: GraphQLInputRepresentationNormalized, incoming: GraphQLInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: GraphQLInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A GraphQL query and any associated variables.
 *
 * Keys:
 *    (none)
 */
export interface GraphQLInputRepresentationNormalized {
    /** The operation that is being executed. */
    operationName?: string;
    /** The GraphQL query. */
    query: string;
    /** The variables for the query. */
    variables?: {
        [key: string]: unknown;
    };
}
/**
 * A GraphQL query and any associated variables.
 *
 * Keys:
 *    (none)
 */
export interface GraphQLInputRepresentation {
    operationName?: string;
    query: string;
    variables?: {
        [key: string]: unknown;
    };
}
