import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a03b727369304f5fbdb01424bf016008";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListColumnInlineEditAttributesRepresentation, existing: ListColumnInlineEditAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListColumnInlineEditAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListColumnInlineEditAttributesRepresentationNormalized, incoming: ListColumnInlineEditAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListColumnInlineEditAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListColumnInlineEditAttributesRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListColumnInlineEditAttributesRepresentationNormalized {
    /** Indicates whether the column can be inline edited. */
    editable: boolean;
    /** Indicates whether the colum is required to be populated when inline editing. */
    required: boolean;
}
/**
 * ListColumnInlineEditAttributesRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListColumnInlineEditAttributesRepresentation {
    editable: boolean;
    required: boolean;
}
