import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5d2198bf54f66923e0ed65e23b740612";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListFilterByInfoInputRepresentation, existing: ListFilterByInfoInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListFilterByInfoInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListFilterByInfoInputRepresentationNormalized, incoming: ListFilterByInfoInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListFilterByInfoInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a List Filter By Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListFilterByInfoInputRepresentationNormalized {
    /** Input representation for API name for the field used to filter. */
    fieldApiName: string;
    /** Input representation for the values to filter by. */
    operandLabels: Array<string>;
    /** Input representation for Operator (such as equals, starts with). */
    operator: string;
}
/**
 * Representation of a List Filter By Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListFilterByInfoInputRepresentation {
    fieldApiName: string;
    operandLabels: Array<string>;
    operator: string;
}
