import { ListInfoShareRepresentation as ListInfoShareRepresentation_ListInfoShareRepresentation } from './ListInfoShareRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "561657f32721ec1dac1601575b029640";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListInfoShareCategoryRepresentation, existing: ListInfoShareCategoryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoShareCategoryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInfoShareCategoryRepresentationNormalized, incoming: ListInfoShareCategoryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoShareCategoryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListInfoShareCategoryRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoShareCategoryRepresentationNormalized {
    /** The share type for this category */
    shareType: string;
    /** The list of shares in this category */
    shares: Array<ListInfoShareRepresentation_ListInfoShareRepresentation>;
}
/**
 * ListInfoShareCategoryRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListInfoShareCategoryRepresentation {
    shareType: string;
    shares: Array<ListInfoShareRepresentation_ListInfoShareRepresentation>;
}
