import { ListObjectScopeAvailableEntityRepresentation as ListObjectScopeAvailableEntityRepresentation_ListObjectScopeAvailableEntityRepresentation } from './ListObjectScopeAvailableEntityRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "355933ff2970aa91a2848a94565e956a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListObjectScopeRepresentation, existing: ListObjectScopeRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListObjectScopeRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListObjectScopeRepresentationNormalized, incoming: ListObjectScopeRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListObjectScopeRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListObjectScopeRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectScopeRepresentationNormalized {
    /** The API name for this scope. */
    apiName: string;
    /** The available entities for this scope. */
    availableEntities: Array<ListObjectScopeAvailableEntityRepresentation_ListObjectScopeAvailableEntityRepresentation>;
    /** The label for this scope. */
    label: string;
}
/**
 * ListObjectScopeRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectScopeRepresentation {
    apiName: string;
    availableEntities: Array<ListObjectScopeAvailableEntityRepresentation_ListObjectScopeAvailableEntityRepresentation>;
    label: string;
}
