import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "612c85e98ded25552314e0d5d869b3e4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListOrderedByInfoInputRepresentation, existing: ListOrderedByInfoInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListOrderedByInfoInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListOrderedByInfoInputRepresentationNormalized, incoming: ListOrderedByInfoInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListOrderedByInfoInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a orderedBy Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListOrderedByInfoInputRepresentationNormalized {
    /** Field API name for orderedByInfo. */
    fieldApiName: string;
    /** Boolean describing if the orderBy should be ascending. */
    isAscending: boolean;
}
/**
 * Representation of a orderedBy Info input.
 *
 * Keys:
 *    (none)
 */
export interface ListOrderedByInfoInputRepresentation {
    fieldApiName: string;
    isAscending: boolean;
}
