import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bd1016e8706fcd6155ee4ce1ac973b3c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListScopeInputRepresentation, existing: ListScopeInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListScopeInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListScopeInputRepresentationNormalized, incoming: ListScopeInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListScopeInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a list scope for input.
 *
 * Keys:
 *    (none)
 */
export interface ListScopeInputRepresentationNormalized {
    /** Input representation for the scope's API name. */
    apiName: string;
    /** Input representation for the scope's entity id. */
    entityId?: string | null;
    /** Input representation for the scope's related entity id. */
    relatedEntityId?: string | null;
}
/**
 * Representation of a list scope for input.
 *
 * Keys:
 *    (none)
 */
export interface ListScopeInputRepresentation {
    apiName: string;
    entityId?: string | null;
    relatedEntityId?: string | null;
}
