import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3b85c5a08d50ce328481b9f8ab56127b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListScopeRelatedEntityRepresentation, existing: ListScopeRelatedEntityRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListScopeRelatedEntityRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListScopeRelatedEntityRepresentationNormalized, incoming: ListScopeRelatedEntityRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListScopeRelatedEntityRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListScopeRelatedEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeRelatedEntityRepresentationNormalized {
    /** Id of the scope entity. */
    id: string;
    /** Label for the scope entity. */
    label: string;
    /** Type for the scope entity. */
    type: string;
}
/**
 * ListScopeRelatedEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeRelatedEntityRepresentation {
    id: string;
    label: string;
    type: string;
}
