import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "39273e1d7c794c41e886bd17f9462f7e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListUserPreferenceInputRepresentation, existing: ListUserPreferenceInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListUserPreferenceInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListUserPreferenceInputRepresentationNormalized, incoming: ListUserPreferenceInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListUserPreferenceInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of user preferences info for a List.
 *
 * Keys:
 *    (none)
 */
export interface ListUserPreferenceInputRepresentationNormalized {
    /** Column width preferences.  -1 indicates default width. */
    columnWidths: {
        [key: string]: number;
    };
    /** Column wrapping preferences.  True indicates text wrapping is enabled. */
    columnWrap: {
        [key: string]: boolean;
    };
}
/**
 * Representation of user preferences info for a List.
 *
 * Keys:
 *    (none)
 */
export interface ListUserPreferenceInputRepresentation {
    columnWidths: {
        [key: string]: number;
    };
    columnWrap: {
        [key: string]: boolean;
    };
}
