import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e89664be2ea7436e308305596f9c149d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchDataCategoryInputRepresentation, existing: SearchDataCategoryInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchDataCategoryInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchDataCategoryInputRepresentationNormalized, incoming: SearchDataCategoryInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchDataCategoryInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Input parameters to apply data category filters of our results
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryInputRepresentationNormalized {
    /** group name of the data category */
    groupName: string;
    /** Operator to use on the data category filter */
    operator: string;
    /** Values of the data categories */
    values: Array<string>;
}
/**
 * Input parameters to apply data category filters of our results
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryInputRepresentation {
    groupName: string;
    operator: string;
    values: Array<string>;
}
