import type { IngestPath, Luvio, Store } from '@luvio/engine';
import type { FieldValueRepresentationNormalized, FieldValueRepresentation } from '../../generated/types/FieldValueRepresentation';
import type { RecordFieldTrie } from '../../util/records';
import type { RecordConflictMap } from '../RecordRepresentation/resolveConflict';
export default function normalize(input: FieldValueRepresentation, existing: FieldValueRepresentationNormalized, path: IngestPath, luvio: Luvio, store: Store, timestamp: number, fieldsTrie: RecordFieldTrie, optionalFieldsTrie: RecordFieldTrie, recordConflictMap: RecordConflictMap): FieldValueRepresentationNormalized;
