import type { Luvio, DispatchResourceRequestContext, ResourceRequest, FulfilledSnapshot, StaleSnapshot, PendingSnapshot, FetchResponse, Snapshot } from '@luvio/engine';
import type { CreateContentDocumentAndVersionConfig } from './AdapterConfig';
import type { ResourceRequestConfig } from './ResourceRequestConfig';
import type { ContentDocumentCompositeRepresentation } from '../../generated/types/ContentDocumentCompositeRepresentation';
export declare function createResourceParams(config: CreateContentDocumentAndVersionConfig): ResourceRequestConfig;
export declare function createResourceRequest(config: ResourceRequestConfig): ResourceRequest;
export declare function ingestSuccess(luvio: Luvio, resourceParams: ResourceRequestConfig, response: FetchResponse<ContentDocumentCompositeRepresentation>): FulfilledSnapshot<ContentDocumentCompositeRepresentation, {}> | StaleSnapshot<ContentDocumentCompositeRepresentation, {}> | PendingSnapshot<ContentDocumentCompositeRepresentation, any>;
export declare function buildNetworkSnapshot(luvio: Luvio, config: CreateContentDocumentAndVersionConfig, options?: DispatchResourceRequestContext): Promise<Snapshot<ContentDocumentCompositeRepresentation>>;
