import type { AdapterFactory, Luvio, Selector, Snapshot, AdapterContext, DispatchResourceRequestContext } from '@luvio/engine';
import type { RecordDefaultsRepresentation } from '../../generated/types/RecordDefaultsRepresentation';
import type { GetRecordCreateDefaultsConfig } from '../../generated/adapters/getRecordCreateDefaults';
type GetRecordCreateDefaultsConfigWithDefaults = Required<GetRecordCreateDefaultsConfig>;
export declare function buildNetworkSnapshot(luvio: Luvio, context: AdapterContext, config: GetRecordCreateDefaultsConfigWithDefaults, options?: DispatchResourceRequestContext): Promise<import("@luvio/engine").ErrorSnapshot | import("@luvio/engine").FulfilledSnapshot<RecordDefaultsRepresentation, unknown> | import("@luvio/engine").UnfulfilledSnapshot<RecordDefaultsRepresentation, unknown> | import("@luvio/engine").StaleSnapshot<RecordDefaultsRepresentation, unknown> | import("@luvio/engine").PendingSnapshot<RecordDefaultsRepresentation, unknown>>;
export declare function buildCachedSnapshot(sel: Selector, luvio: Luvio, context: AdapterContext, config: GetRecordCreateDefaultsConfigWithDefaults): Snapshot<RecordDefaultsRepresentation, unknown>;
export declare const factory: AdapterFactory<GetRecordCreateDefaultsConfig, RecordDefaultsRepresentation>;
export {};
